summaryrefslogtreecommitdiff
path: root/media-radio/svxlink/files
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-10-09 18:53:29 +0100
commit4f2d7949f03e1c198bc888f2d05f421d35c57e21 (patch)
treeba5f07bf3f9d22d82e54a462313f5d244036c768 /media-radio/svxlink/files
reinit the tree, so we can have metadata
Diffstat (limited to 'media-radio/svxlink/files')
-rw-r--r--media-radio/svxlink/files/remotetrx.init42
-rw-r--r--media-radio/svxlink/files/remotetrx.rc21
-rw-r--r--media-radio/svxlink/files/svxlink.init42
-rw-r--r--media-radio/svxlink/files/svxlink.rc21
4 files changed, 126 insertions, 0 deletions
diff --git a/media-radio/svxlink/files/remotetrx.init b/media-radio/svxlink/files/remotetrx.init
new file mode 100644
index 000000000000..e9197369d0c7
--- /dev/null
+++ b/media-radio/svxlink/files/remotetrx.init
@@ -0,0 +1,42 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+PNAME=remotetrx
+NAME="RemoteTrx Server"
+DAEMON=/usr/bin/$PNAME
+
+POPTS="--daemon \
+ ${RUNASUSER:+--runasuser=$RUNASUSER} \
+ ${PIDFILE:+--pidfile=$PIDFILE} \
+ ${LOGFILE:+--logfile=$LOGFILE} \
+ ${CFGFILE:+--config=$CFGFILE}"
+
+create_logfile()
+{
+ touch $LOGFILE
+ if [ -n "$RUNASUSER" ]; then
+ chown $RUNASUSER.$RUNASUSER $LOGFILE
+ fi
+}
+
+
+depend() {
+ need localmount
+ use net
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting $NAME"
+ create_logfile
+ export $ENV
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $POPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $NAME"
+ start-stop-daemon --stop --pidfile $PIDFILE --exec $DAEMON
+ eend $?
+}
diff --git a/media-radio/svxlink/files/remotetrx.rc b/media-radio/svxlink/files/remotetrx.rc
new file mode 100644
index 000000000000..940cc389bf4c
--- /dev/null
+++ b/media-radio/svxlink/files/remotetrx.rc
@@ -0,0 +1,21 @@
+#############################################################################
+#
+# Configuration file for the RemoteTrx startup script /etc/init.d/remotetrx
+#
+#############################################################################
+
+# The log file to use
+LOGFILE=/var/log/remotetrx
+
+# The PID file to use
+PIDFILE=/var/run/remotetrx.pid
+
+# The user to run the SvxLink server as
+RUNASUSER=svxlink
+
+# Specify which configuration file to use
+CFGFILE=/etc/svxlink/remotetrx.conf
+
+# Environment variables to set up. Separate variables with a space.
+ENV="ASYNC_AUDIO_NOTRIGGER=1"
+
diff --git a/media-radio/svxlink/files/svxlink.init b/media-radio/svxlink/files/svxlink.init
new file mode 100644
index 000000000000..79a43eb1141d
--- /dev/null
+++ b/media-radio/svxlink/files/svxlink.init
@@ -0,0 +1,42 @@
+#!/sbin/openrc-run
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+PNAME=svxlink
+NAME="SvxLink Server"
+DAEMON=/usr/bin/$PNAME
+
+POPTS="--daemon \
+ ${RUNASUSER:+--runasuser=$RUNASUSER} \
+ ${PIDFILE:+--pidfile=$PIDFILE} \
+ ${LOGFILE:+--logfile=$LOGFILE} \
+ ${CFGFILE:+--config=$CFGFILE}"
+
+create_logfile()
+{
+ touch $LOGFILE
+ if [ -n "$RUNASUSER" ]; then
+ chown $RUNASUSER.$RUNASUSER $LOGFILE
+ fi
+}
+
+
+depend() {
+ need localmount
+ use net
+ after bootmisc
+}
+
+start() {
+ ebegin "Starting $NAME"
+ create_logfile
+ export $ENV
+ start-stop-daemon --start --pidfile $PIDFILE --exec $DAEMON -- $POPTS
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping $NAME"
+ start-stop-daemon --stop --pidfile $PIDFILE --exec $DAEMON
+ eend $?
+}
diff --git a/media-radio/svxlink/files/svxlink.rc b/media-radio/svxlink/files/svxlink.rc
new file mode 100644
index 000000000000..5f19f576e824
--- /dev/null
+++ b/media-radio/svxlink/files/svxlink.rc
@@ -0,0 +1,21 @@
+#############################################################################
+#
+# Configuration file for the SvxLink startup script /etc/init.d/svxlink
+#
+#############################################################################
+
+# The log file to use
+LOGFILE=/var/log/svxlink
+
+# The PID file to use
+PIDFILE=/var/run/svxlink.pid
+
+# The user to run the SvxLink server as
+RUNASUSER=svxlink
+
+# Specify which configuration file to use
+CFGFILE=/etc/svxlink/svxlink.conf
+
+# Environment variables to set up. Separate variables with a space.
+ENV="ASYNC_AUDIO_NOTRIGGER=1"
+